summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlin Năstac <mrness@gentoo.org>2005-04-06 19:33:00 +0000
committerAlin Năstac <mrness@gentoo.org>2005-04-06 19:33:00 +0000
commit1f698838e9c00524baa233f42b40e9ea79443bb5 (patch)
tree67fa019033140bb0a361bff70a9fa50f56dc4947 /www-proxy/wwwoffle/files/wwwoffle-online.initd
parentstable on amd64, fixes #87924 (diff)
downloadgentoo-2-1f698838e9c00524baa233f42b40e9ea79443bb5.tar.gz
gentoo-2-1f698838e9c00524baa233f42b40e9ea79443bb5.tar.bz2
gentoo-2-1f698838e9c00524baa233f42b40e9ea79443bb5.zip
version bump
(Portage version: 2.0.51.19)
Diffstat (limited to 'www-proxy/wwwoffle/files/wwwoffle-online.initd')
-rw-r--r--www-proxy/wwwoffle/files/wwwoffle-online.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/www-proxy/wwwoffle/files/wwwoffle-online.initd b/www-proxy/wwwoffle/files/wwwoffle-online.initd
new file mode 100644
index 000000000000..71d9a35b44dc
--- /dev/null
+++ b/www-proxy/wwwoffle/files/wwwoffle-online.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-proxy/wwwoffle/files/wwwoffle-online.initd,v 1.1 2005/04/06 19:33:00 mrness Exp $
+
+depend() {
+ need wwwoffled
+ use dns
+
+ if [ -n ${IFACE} ];
+ then
+ need net.${IFACE}
+ else
+ ewarn "No IFACE is defined in /etc/conf.d/wwwoffle-online"
+ need net
+ fi
+}
+
+start() {
+ ebegin "Starting wwwoffled-online"
+ wwwoffle -online -c /etc/wwwoffle/wwwoffle.conf
+ wwwoffle -fetch -c /etc/wwwoffle/wwwoffle.conf & > /dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping wwwoffled-online"
+ wwwoffle -offline -c /etc/wwwoffle/wwwoffle.conf
+ eend $?
+}